Vai al contenuto principale
POST
/
media
Create media
curl --request POST \
  --url https://api.youka.io/api/v1/media \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputFileId": "<string>",
  "type": "video"
}
'
{
  "id": "<string>",
  "type": "video",
  "url": "<string>",
  "status": "processing",
  "error": "<string>",
  "width": 123,
  "height": 123,
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "previewUrl": "<string>"
}

Autorizzazioni

Authorization
string
header
obbligatorio

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Intestazioni

Idempotency-Key
string

Corpo

application/json
inputFileId
string
obbligatorio
type
enum<string>
obbligatorio
Opzioni disponibili:
video,
image,
logo,
intro-video,
outro-video

Risposta

200 - application/json

Media created

id
string
obbligatorio
type
enum<string>
obbligatorio
Opzioni disponibili:
video,
image,
logo,
intro-video,
outro-video
url
string<uri>
obbligatorio
status
enum<string>
obbligatorio
Opzioni disponibili:
processing,
ready,
failed
error
string | null
obbligatorio
width
number
obbligatorio
height
number
obbligatorio
createdAt
string
obbligatorio
updatedAt
string
obbligatorio
previewUrl
string<uri> | null